Bug 980746 - Error: Request received from non-privileged port. Failing request
Summary: Error: Request received from non-privileged port. Failing request
Keywords:
Status: CLOSED EOL
Alias: None
Product: GlusterFS
Classification: Community
Component: transport
Version: mainline
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: krishnan parthasarathi
QA Contact:
URL:
Whiteboard:
Depends On: 979926
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-07-03 07:35 UTC by krishnan parthasarathi
Modified: 2015-11-03 23:06 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of: 979926
Environment:
Last Closed: 2015-10-22 15:46:38 UTC
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:


Attachments (Terms of Use)

Description krishnan parthasarathi 2013-07-03 07:35:54 UTC
Description of problem:
=======================

Continuously seeing these error messages on glusterd logs:

[2013-07-01 16:58:39.890897] E [rpcsvc.c:519:rpcsvc_handle_rpc_call] 0-glusterd: Request received from
 non-privileged port. Failing request
[2013-07-01 16:58:39.953146] E [rpcsvc.c:519:rpcsvc_handle_rpc_call] 0-glusterd: Request received from
 non-privileged port. Failing request
[2013-07-01 16:58:39.976473] E [rpcsvc.c:519:rpcsvc_handle_rpc_call] 0-glusterd: Request received from
 non-privileged port. Failing request
[2013-07-01 16:58:39.977974] E [rpcsvc.c:519:rpcsvc_handle_rpc_call] 0-glusterd: Request received from
 non-privileged port. Failing request
[2013-07-01 16:58:39.989019] E [rpcsvc.c:519:rpcsvc_handle_rpc_call] 0-glusterd: Request received from
 non-privileged port. Failing request
[2013-07-01 16:58:40.507015] E [rpcsvc.c:519:rpcsvc_handle_rpc_call] 0-glusterd: Request received from
 non-privileged port. Failing request
[2013-07-01 16:58:40.623069] E [rpcsvc.c:519:rpcsvc_handle_rpc_call] 0-glusterd: Request received from
 non-privileged port. Failing request
[2013-07-01 16:58:40.625777] E [rpcsvc.c:519:rpcsvc_handle_rpc_call] 0-glusterd: Request received from non-privileged port. Failing request
[2013-07-01 16:58:40.643701] E [rpcsvc.c:519:rpcsvc_handle_rpc_call] 0-glusterd: Request received from non-privileged port. Failing request
[2013-07-01 16:58:40.645785] E [rpcsvc.c:519:rpcsvc_handle_rpc_call] 0-glusterd: Request received from non-privileged port. Failing request
[2013-07-01 16:58:40.647359] E [rpcsvc.c:519:rpcsvc_handle_rpc_call] 0-glusterd: Request received from non-privileged port. Failing request




Version-Release number of selected component (if applicable):
=============================================================
mainline

Steps Carried:
==============
1. Create 6*2 volume 
2. Mount it from  one clients (10 Fuse mounts  and 10 NFS mounts as /mnt/f-{1..10} and /mnt/n-{1..10})
3. Execute from all fuse mounts "dd if=/dev/urandom of=test_file bs=1M count=4096"
4. Read from all the nfs mounts " while true ; do cat test_file > /dev/null ; done"
5. While writes are in progress, killed one brick from each subvolume in 6*2 setup.

Actual results:
===============

[2013-07-01 16:58:40.647359] E [rpcsvc.c:519:rpcsvc_handle_rpc_call] 0-glusterd: Request received from non-privileged port. Failing request

Expected results:
=================

Should not cause any error

Comment 1 Anand Avati 2013-07-03 07:43:57 UTC
REVIEW: http://review.gluster.org/5273 (socket: add dont_linger option to socket) posted (#2) for review on master by Krishnan Parthasarathi (kparthas@redhat.com)

Comment 2 Anand Avati 2013-07-06 17:13:23 UTC
REVIEW: http://review.gluster.org/5273 (socket: add dont_linger option to socket) posted (#3) for review on master by Krishnan Parthasarathi (kparthas@redhat.com)

Comment 3 Anand Avati 2013-07-09 14:06:19 UTC
REVIEW: http://review.gluster.org/5273 (socket: add dont_linger option to socket) posted (#4) for review on master by Krishnan Parthasarathi (kparthas@redhat.com)

Comment 4 Anand Avati 2013-07-10 05:56:59 UTC
REVIEW: http://review.gluster.org/5273 (socket: add dont_linger option to socket) posted (#5) for review on master by Krishnan Parthasarathi (kparthas@redhat.com)

Comment 5 Anand Avati 2013-07-11 07:06:04 UTC
REVIEW: http://review.gluster.org/5273 (socket: add transport.socket.linger option to socket) posted (#6) for review on master by Krishnan Parthasarathi (kparthas@redhat.com)

Comment 6 Anand Avati 2013-07-12 02:30:25 UTC
REVIEW: http://review.gluster.org/5273 (socket: add transport.socket.linger option to socket) posted (#7) for review on master by Krishnan Parthasarathi (kparthas@redhat.com)

Comment 7 Anand Avati 2013-07-16 15:45:29 UTC
REVIEW: http://review.gluster.org/5273 (socket: add transport.socket.linger option to socket) posted (#8) for review on master by Krishnan Parthasarathi (kparthas@redhat.com)

Comment 8 Anand Avati 2013-07-24 03:23:01 UTC
REVIEW: http://review.gluster.org/5378 (client/socket/glusterd: allow unprivileged portbybrick query.) posted (#1) for review on master by Krishnan Parthasarathi (kparthas@redhat.com)

Comment 9 Anand Avati 2013-07-25 19:22:41 UTC
REVIEW: http://review.gluster.org/5378 (client/socket/glusterd: allow unprivileged portbybrick query.) posted (#2) for review on master by Krishnan Parthasarathi (kparthas@redhat.com)

Comment 10 Anand Avati 2013-07-27 05:15:17 UTC
REVIEW: http://review.gluster.org/5378 (client/socket/glusterd: allow unprivileged portbybrick query.) posted (#3) for review on master by Krishnan Parthasarathi (kparthas@redhat.com)

Comment 11 Anand Avati 2015-08-22 11:22:16 UTC
REVIEW: http://review.gluster.org/11987 (glusterd: transport address-family inet6 not working) posted (#1) for review on master by Nithin Kumar D (nithind1988@yahoo.in)

Comment 12 Nithin 2015-08-22 11:23:07 UTC
(In reply to Anand Avati from comment #11)
> REVIEW: http://review.gluster.org/11987 (glusterd: transport address-family
> inet6 not working) posted (#1) for review on master by Nithin Kumar D
> (nithind1988@yahoo.in)

Sorry, review raised by mistake to wrong bug.

Comment 13 Kaleb KEITHLEY 2015-10-22 15:46:38 UTC
because of the large number of bugs filed against mainline version\ is ambiguous and about to be removed as a choice.

If you believe this is still a bug, please change the status back to NEW and choose the appropriate, applicable version for it.


Note You need to log in before you can comment on or make changes to this bug.